Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSTopicMBean

public interface JMSTopicMBean
extends JMSDestinationMBean

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`java.lang.String` | `getMulticastAddress()` Return the multicast address used by the destination.
`int` | `getMulticastPort()` Get the multicast port for the destination.
`int` | `getMulticastTTL()` Returns the number of network hops that a multicast message is allowed to travel.
`void` | `setMulticastAddress(java.lang.String address)` Sets the multicast address used by the destination.
`void` | `setMulticastPort(int port)` Set the multicast port for the destination.
`void` | `setMulticastTTL(int ttl)` Sets the number of network hops that a multicast message is allowed to travel.

Methods inherited from interface weblogic.management.configuration.JMSDestinationMBean
`getBytesPagingEnabled, getJNDIName, getMessagesPagingEnabled, getStoreEnabled, getTemplate, isJNDINameReplicated, setBytesPagingEnabled, setJNDIName, setJNDINameReplicated, setMessagesPagingEnabled, setStoreEnabled, setTemplate`

Methods inherited from interface weblogic.management.configuration.JMSDestCommonMBean
`addDestinationKey, getBytesMaximum, getBytesThresholdHigh, getBytesThresholdLow, getDeliveryModeOverride, getDestinationKeys, getErrorDestination, getMessagesMaximum, getMessagesThresholdHigh, getMessagesThresholdLow, getPriorityOverride, getRedeliveryDelayOverride, getRedeliveryLimit, getTimeToDeliverOverride, getTimeToLiveOverride, removeDestinationKey, setBytesMaximum, setBytesThresholdHigh, setBytesThresholdLow, setDeliveryModeOverride, setDestinationKeys, setErrorDestination, setMessagesMaximum, setMessagesThresholdHigh, setMessagesThresholdLow, setPriorityOverride, setRedeliveryDelayOverride, setRedeliveryLimit, setTimeToDeliverOverride, setTimeToLiveOverride`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMulticastAddress

    public java.lang.String getMulticastAddress()

  Return the multicast address used by the destination.

  The IP address used for multicasting. This address is used to transmit messages to multicast consumers.

  A configurable MBean attribute

### setMulticastAddress

    public void setMulticastAddress(java.lang.String address)
                             throws javax.management.InvalidAttributeValueException

  Sets the multicast address used by the destination.

  The IP address used for multicasting. This address is used to transmit messages to multicast consumers.

  Throws:
    java.lang.IllegalArgumentException - if the argument is not a well-formed IP address.

### getMulticastTTL

    public int getMulticastTTL()

  Returns the number of network hops that a multicast message is allowed to travel.

  This is the Time-To-Live value used for multicasting, which specifyies the number of routers that the message can traverse enroute to the consumers. A value of 1 indicates that the message will not traverse any routers and is limited to one subnet. This value is independent of the JMSExpirationTime value.

  A configurable MBean attribute
  Default Value: 1
  Legal Minimum Value: 0
  Legal Maximum Value: 255

### setMulticastTTL

    public void setMulticastTTL(int ttl)
                         throws javax.management.InvalidAttributeValueException

  Sets the number of network hops that a multicast message is allowed to travel.

  The Time-To-Live value used for multicasting, which specifyies the number of routers that the message can traverse enroute to the consumers. A value of 1 indicates that the message will not traverse any routers, and is limited to one subnet. This value is independent of the JMSExpirationTime value. This attribute is not dynamically configurable.

  Legal Minimum Value: 0
  Legal Maximum Value: 255

### getMulticastPort

    public int getMulticastPort()

  Get the multicast port for the destination.

  This is the IP port used for multicasting. This port is used to transmit messages to multicast consumers.

  A configurable MBean attribute
  Default Value: 6001

### setMulticastPort

    public void setMulticastPort(int port)
                          throws javax.management.InvalidAttributeValueException

  Set the multicast port for the destination.

  This is the IP port used for multicasting. This port is used to transmit messages to multicast consumers.

  Legal Minimum Value: 1
  Legal Maximum Value: 65535

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference